Bug 873082 - gdm doesn't come up with login interface
gdm doesn't come up with login interface
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-05 00:27 EST by Ankur Sinha (FranciscoD)
Modified: 2014-02-05 07:51 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:51:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2012-11-05 00:27:02 EST
Description of problem:
Once the boot process appears to complete, gdm doesn't come up

Version-Release number of selected component (if applicable):
gdm-3.6.1-1.fc18.x86_64


How reproducible:
Sometimes

Steps to Reproduce:
1. boot normally
2.
3.
  
Actual results:
Sometimes, gdm doesn't come up. I went to a virtual terminal and restarted the service, and gdm came up fine

Expected results:
gdm should always come up okay

Additional info:


******

[root@ankur ~]# journalctl -b -u gdm
-- Logs begin at Tue, 2012-11-06 02:14:36 EST, end at Mon, 2012-11-05 16:17:12 EST. --
Nov 06 02:14:52 ankur.pc gdm-simple-slave[706]: WARNING: Failed to give slave programs access to the display. Trying to proceed.
Nov 05 16:15:42 ankur.pc gdm-simple-slave[706]: GLib-GObject-CRITICAL: g_object_ref: assertion `object->ref_count > 0' failed
Nov 05 16:15:42 ankur.pc gdm-simple-slave[1645]: WARNING: Failed to give slave programs access to the display. Trying to proceed.
Nov 05 16:15:54 ankur.pc gdm-simple-slave[1645]: WARNING: Failed to remove slave program access to the display. Trying to proceed.

******

I also appear to have quite a few errors over the previous boots in /var/log/messages

*******

Nov  4 10:31:43 ankur gdm-simple-slave[718]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Nov  4 11:38:41 ankur gdm-simple-slave[718]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Nov  4 22:07:57 ankur gdm-simple-slave[650]: WARNING: Failed to give slave programs access to the display. Trying to proceed.
Nov  4 12:21:10 ankur gdm-simple-slave[650]: WARNING: Failed to remove slave program access to the display. Trying to proceed.
Nov  4 22:38:45 ankur gdm-simple-slave[1023]: WARNING: Failed to give slave programs access to the display. Trying to proceed.
Nov  4 12:39:03 ankur gdm-simple-slave[1023]: WARNING: Failed to remove slave program access to the display. Trying to proceed.
Nov  4 22:44:31 ankur gdm-simple-slave[715]: WARNING: Failed to give slave programs access to the display. Trying to proceed.
Nov  4 12:44:44 ankur gdm-simple-slave[715]: WARNING: Failed to remove slave program access to the display. Trying to proceed.
Nov  4 13:17:17 ankur gdm-simple-slave[715]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Nov  4 16:42:57 ankur gdm-simple-slave[715]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Nov  4 17:08:58 ankur gdm-simple-slave[715]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Nov  4 19:33:24 ankur gdm-simple-slave[715]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Nov  4 21:34:09 ankur gdm-simple-slave[715]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Nov  4 21:50:15 ankur gdm-simple-slave[715]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Nov  5 06:46:34 ankur gdm-simple-slave[715]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Nov  5 19:16:58 ankur gdm-simple-slave[719]: WARNING: Failed to give slave programs access to the display. Trying to proceed.
Nov  5 09:17:13 ankur gdm-simple-slave[719]: WARNING: Failed to remove slave program access to the display. Trying to proceed.
Nov  5 09:33:28 ankur gdm-simple-slave[719]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Nov  5 20:08:24 ankur gdm-simple-slave[732]: WARNING: Failed to give slave programs access to the display. Trying to proceed.
Nov  5 10:09:13 ankur gdm-simple-slave[732]: WARNING: Failed to remove slave program access to the display. Trying to proceed.
Nov  5 11:53:33 ankur gdm-simple-slave[732]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Nov  5 12:21:08 ankur gdm-simple-slave[732]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Nov  5 13:24:04 ankur gdm-simple-slave[732]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Nov  5 13:51:59 ankur gdm-simple-slave[732]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Nov  5 15:00:09 ankur gdm-simple-slave[732]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Nov  5 15:24:36 ankur gdm-simple-slave[732]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Nov  6 01:48:50 ankur gdm-simple-slave[730]: WARNING: Failed to give slave programs access to the display. Trying to proceed.
Nov  5 15:49:02 ankur gdm-simple-slave[730]: WARNING: Failed to remove slave program access to the display. Trying to proceed.
Nov  6 02:13:15 ankur gdm-simple-slave[729]: WARNING: Unable to connect to display :0
Nov  6 02:13:15 ankur gdm-simple-slave[729]: WARNING: Unable to connect to display :0
Nov  6 02:13:15 ankur gdm-simple-slave[729]: WARNING: Unable to connect to display :0
Nov  6 02:13:15 ankur gdm-simple-slave[729]: WARNING: Unable to connect to display :0
Nov  6 02:13:15 ankur gdm-simple-slave[729]: WARNING: Unable to connect to display :0
Nov  6 02:13:15 ankur gdm-simple-slave[729]: WARNING: Unable to connect to display :0
Nov  6 02:13:15 ankur gdm-simple-slave[729]: WARNING: Unable to connect to display :0
Nov  6 02:13:15 ankur gdm-simple-slave[729]: WARNING: Unable to connect to display :0
Nov  6 02:13:15 ankur gdm-simple-slave[729]: WARNING: Unable to connect to display :0
Nov  6 02:13:15 ankur gdm-simple-slave[729]: WARNING: Unable to connect to display :0
Nov  6 02:13:15 ankur gdm-simple-slave[729]: WARNING: Unable to connect to display after 10 tries - bailing out
Nov  6 02:13:16 ankur gdm-simple-slave[1083]: WARNING: Child process 1110 was already dead.
Nov  6 02:13:16 ankur gdm-simple-slave[1083]: GLib-GObject-CRITICAL: g_object_ref: assertion `object->ref_count > 0' failed
Nov  6 02:13:16 ankur gdm-simple-slave[1083]: GLib-GObject-CRITICAL: g_object_unref: assertion `object->ref_count > 0' failed
Nov  6 02:13:16 ankur gdm-simple-slave[1115]: WARNING: Child process 1122 was already dead.
Nov  6 02:13:16 ankur gdm-simple-slave[1115]: GLib-GObject-CRITICAL: g_object_ref: assertion `object->ref_count > 0' failed
Nov  6 02:13:16 ankur gdm-simple-slave[1115]: GLib-GObject-CRITICAL: g_object_unref: assertion `object->ref_count > 0' failed
Nov  6 02:13:16 ankur gdm-simple-slave[1124]: WARNING: Child process 1127 was already dead.
Nov  6 02:13:16 ankur gdm-simple-slave[1124]: GLib-GObject-CRITICAL: g_object_ref: assertion `object->ref_count > 0' failed
Nov  6 02:13:16 ankur gdm-simple-slave[1124]: GLib-GObject-CRITICAL: g_object_unref: assertion `object->ref_count > 0' failed
Nov  6 02:13:16 ankur gdm-simple-slave[1129]: WARNING: Child process 1139 was already dead.
Nov  6 02:13:16 ankur gdm-simple-slave[1129]: GLib-GObject-CRITICAL: g_object_ref: assertion `object->ref_count > 0' failed
Nov  6 02:13:16 ankur gdm-simple-slave[1129]: GLib-GObject-CRITICAL: g_object_unref: assertion `object->ref_count > 0' failed
Nov  6 02:13:16 ankur gdm-simple-slave[1147]: WARNING: Child process 1158 was already dead.
Nov  6 02:13:16 ankur gdm-simple-slave[1147]: GLib-GObject-CRITICAL: g_object_ref: assertion `object->ref_count > 0' failed
Nov  6 02:13:16 ankur gdm-simple-slave[1147]: GLib-GObject-CRITICAL: g_object_unref: assertion `object->ref_count > 0' failed
Nov  6 02:14:52 ankur gdm-simple-slave[706]: WARNING: Failed to give slave programs access to the display. Trying to proceed.
Nov  5 16:15:42 ankur gdm-simple-slave[706]: GLib-GObject-CRITICAL: g_object_ref: assertion `object->ref_count > 0' failed
Nov  5 16:15:42 ankur gdm-simple-slave[706]: GLib-GObject-CRITICAL: g_object_unref: assertion `object->ref_count > 0' failed
Nov  5 16:15:42 ankur gdm-simple-slave[1645]: WARNING: Failed to give slave programs access to the display. Trying to proceed.
Nov  5 16:15:54 ankur gdm-simple-slave[1645]: WARNING: Failed to remove slave program access to the display. Trying to proceed.


********


Thanks,
Ankur
Comment 1 emailadhoc 2012-11-28 16:25:34 EST
This affects me too. I updated a new fedora 18 beta installation and now GDM sometimes doesn't start, and when it does it takes a very long time to show the interface (sometimes I have to wait over 1 minute, during which I can only see the pointer).

in /var/log/messages I have this error reported 15609 times:
gdm-simple-slave[677]: GLib-GObject-CRITICAL: g_object_ref: assertion `object->ref_count > 0' failed

Here's my version of gdm:
Installed Packages
Name        : gdm
Arch        : x86_64
Epoch       : 1
Version     : 3.6.2
Release     : 1.fc18
Size        : 4.9 M
Repo        : installed
From repo   : koji-override-1

And this is the version of accountsservice:
Installed Packages
Name        : accountsservice
Arch        : x86_64
Version     : 0.6.25
Release     : 2.fc18
Size        : 277 k
Repo        : installed
From repo   : koji-override-0

Here https://bbs.archlinux.org/viewtopic.php?pid=1198808 is stated that accountsservice > 0.6.25 is the cause of the problem.
Comment 2 Tobias Mueller 2013-05-03 11:23:42 EDT
FWIW: I had a stray library (/lib64/libharfbuzz.so.0 from harfbuzz-0.9.13-1.fc20.x86_64) from the TeXlive repository mixed in. A yum --disablerepo texlive distro-sync helped me out.
Comment 3 emailadhoc 2013-05-03 15:23:47 EDT
That problem was present during the F18 development circle. The issue has since been solved, AFAIK.
Comment 4 emailadhoc 2013-05-03 21:30:11 EDT
I meant during F18 development (- cycle), sorry, it was a bit late here
Comment 5 Peter Molnar 2013-05-11 06:13:49 EDT
It's not fixed since people still have it. I have it too, and it's very annoying.
Comment 6 Dominique Brazziel 2013-05-14 22:18:42 EDT
I just upgraded from Fedora 17 to Fedora 18 and got hit with this bug.  Restarted gdm.service from VT2 and managed to get in, but it's bad when you see spinning cursor and have to furiously google stuff after spending all day upgrading 1200+ packages.
Comment 7 William D. McCoy 2013-05-26 20:25:22 EDT
I had this same problem on two different computers.  Once I had gotten by bug 958586 with fedup with a fix from Will Woods, neither computer would boot all the way to the login screen.  I could log in to a terminal and what helped me find the harfbuzz problem was running 'package-cleanup --problems' as suggested by Will Woods.  The results showed that harfbuzz was not linking to the correct version of the libicu libraries.  And trying 'startx' from a terminal also failed with an error when calling the libicu libraries.  At first I thought I had the wrong version of those libraries, but then figured out I had the 0.9.13 version of harfbuzz that was built for fc20!  I used 'yum downgrade harfbuzz.x86_64' and it installed the required 0.9.12 version built for fc18.  Now I seem to be able to boot ok to the gdm login screen and from there I can boot into kde.
Comment 8 Pedro Francisco 2013-06-20 18:24:59 EDT
Is everyone here with 32-bits? I found this bug on https://bugs.freedesktop.org/show_bug.cgi?id=57343 .

P.S.: Fedora 19 here.
Comment 9 Knut J BJuland 2013-08-14 16:39:26 EDT
Aug 14 22:30:07 super-knut gdm[638]: GLib-GObject: g_object_ref: assertion `object->ref_count > 0' failed
Aug 14 22:30:07 super-knut gdm[638]: GLib-GObject: g_object_unref: assertion `object->ref_count > 0' failed
Aug 14 22:32:12 super-knut systemd[1]: Stopping GNOME Display Manager...
Aug 14 22:32:12 super-knut systemd[1]: Stopped GNOME Display Manager.
Aug 14 22:33:21 super-knut systemd[1]: Starting GNOME Display Manager...
Aug 14 22:33:21 super-knut systemd[1]: Started GNOME Display Manager.

The bug went away when I return to GDM i fedora repro
Comment 10 Fedora End Of Life 2013-12-21 04:17:12 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Pedro Francisco 2013-12-23 10:46:35 EST
Appears fixed on Fedora 20 (64 bits).
Comment 12 Douglas Castro 2013-12-31 13:24:22 EST
Sorry if I'm in the wrong topic.
I have this problem with Fedora 20(64 bits). During the installing process everything seems perfect. It is needed an update and reboot the system to get a black screen instead of login screen. After that, only 'ctrl+alt+f2' login is possible.
Comment 13 Fedora End Of Life 2014-02-05 07:51:53 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.